% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Prov.DatasetSubset.R
\name{Prov.DatasetSubset}
\alias{Prov.DatasetSubset}
\title{Provenance Construction for DatasetSubset}
\usage{
Prov.DatasetSubset(recipe, data, graph)
}
\arguments{
\item{recipe}{Configuration file specifying parameters.}

\item{data}{s2dv_cube object generated by SUNSET's Loading.R function.}

\item{graph}{igraph object representing the provenance graph.}
}
\value{
A list containing the updated graph and the name of the parent node.
}
\description{
Generate provenance for a DatasetSubset within the SUNSET framework.
}
\details{
This function constructs provenance information for a DatasetSubset within SUNSET. 
It adds nodes and edges to the provided graph to represent various aspects of the DatasetSubset, 
including variables, spatial extents, realizations, and temporal periods.
}
\examples{
# Example usage:
prov_result <- Prov.DatasetSubset(recipe, data, graph)
}
\references{
Author(s) (Year). Title. Journal/Website, Volume(Issue), Page.
}
\seealso{
Other related functions or resources.
}
