% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Prov.Reggriding.R
\name{Prov.Reggriding}
\alias{Prov.Reggriding}
\title{Directed metadata graph construction for SUNSET's Regriding module.}
\usage{
Prov.Reggriding(recipe, data, graph)
}
\arguments{
\item{recipe}{Configuration file specifying parameters.}

\item{data}{s2dv_cube object generated by SUNSET's Loading.R function.}

\item{graph}{igraph object representing the provenance graph.}
}
\value{
A list containing the updated graph and the name of the parent node.
}
\description{
Generate provenance for the Regriding module within a SUNSET workflow.
}
\details{
This function constructs provenance information for the Regriding module within a SUNSET workflow. 
It determines the type of interpolation method based on the provided recipe and adds relevant nodes and edges to the graph. 
It integrates with other provenance generation functions to create a comprehensive metadata graph.
}
